Kerbal Space Program - Bug #10818

Menus do not have text
08/27/2016 11:44 PM - DarkJarris

Status: Unity Bug Start date: 08/27/2016
Severity: Normal % Done: 100%
Assignee:

Category: Application

Target version:

Version: 1.1.3 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

A fresh Steam install, no mods at all.

Most menus do not show any text. the Main menu does, but to load a game does not. If i click the empty area the save game
"should" be, it allows me to load it.

The part category chooser on the left side also shows the same behavior: It does not show visibly, though | can select them.

An Imgur album to demonstrate: http://imgur.com/a/QGT0q

History

#1 - 08/28/2016 10:58 AM - MiniMatt

- Status changed from New to Need More Info

Guessing this may be specific to a certain hardware/driver setup, as such | suspect the devs would greatly appreciate extra info such as log files &
hardware info.

I'm not a linux person, but wiki suggests the following:
Linux: The log is written to /home/user/.config/unity3d/Squad/Kerbal Space Program/Player.log
Linux: for linux an application called 'hardinfo’ will gather all required information. Save the information to a location you will remember.

#2 - 08/29/2016 02:46 PM - DarkJarris

- File Player.log added

- File hardinfo_report.html added

- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

MiniMatt wrote:
Linux: The log is written to /home/user/.config/unity3d/Squad/Kerbal Space Program/Player.log

Linux: for linux an application called 'hardinfo’ will gather all required information. Save the information to a location you will remember.

I've attached both Player.log and hardinfo report

#3 - 08/30/2016 04:28 AM - MiniMatt

Until the devs weigh in the best | can offer in the meantime is:

(1) see if you can get the proprietary NVidia drivers for your GT730, as it seems you're currently running the fallback open source Gallium drivers
(2) try to simplify monitor setup, if only to narrow down the issue and eliminate a possible cause - eg, does it work as expected with only the 1080p
monitor plugged in?

#4 - 08/31/2016 10:27 AM - sal_vager
- Category changed from 36 to 368
- Status changed from Updated to Unity Bug
http://imgur.com/a/QGT0q

- % Done changed from 10 to 100

This is a known issue with the version of Unity that KSP 1.1.3 was made with.
It affects all Linux open source drivers.
Please start KSP with the -force-glcore command line argument, like this.

./KSP.x86 -force-glcore

You can use a shell script to start KSP for you.
#! /bin/sh

cd "/home/username/path/to/Kerbal Space Program/"
./KSP.x86 -force-glcore

Hope this helps.

#5 - 08/31/2016 07:25 PM - DarkJarris

sal_vager wrote:

This is a known issue with the version of Unity that KSP 1.1.3 was made with.

It affects all Linux open source drivers.
Please start KSP with the -force-glcore command line argument, like this.

/KSP.x86 -force-glcore

You can use a shell script to start KSP for you.
#! /bin/sh

cd "/home/username/path/to/Kerbal Space Program/"
./KSP.x86 -force-glcore

Hope this helps.

Doing both of these things have made it work. Ive made the shell script and that runs perfectly. If anyone else comes upon this thread, remember to

make the script Executable in the files Properties->Permissions tab, or running chmod +x scriptname in a terminal

Files

Player.log 456 KB 08/29/2016 DarkJarris

hardinfo_report.html 79.6 KB 08/29/2016 DarkJarris
